Page MenuHomePhabricator

R6. LQT conversion test for Mediawiki.org VE/Feedback
Closed, ResolvedPublic2 Story Points

Description

We want to convert the LQT pages on Mediawiki to Flow.

Test conversion here, and fix the issues.

Visual Editor/Feedback -- https://www.mediawiki.org/wiki/VisualEditor/Feedback

See also:

T90786: R7. LQT conversion test for Mediawiki.org Help talk:CirrusSearch
T90788: R8. LQT conversion test for Mediawiki.org Project:Support desk

Event Timeline

DannyH created this task.Feb 19 2015, 11:08 PM
DannyH updated the task description. (Show Details)
DannyH raised the priority of this task from to Normal.
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2015, 11:08 PM
DannyH raised the priority of this task from Normal to High.Feb 23 2015, 6:45 PM

Erik -- this might be something to do if you've got some free time at the end of the sprint...

DannyH updated the task description. (Show Details)Feb 25 2015, 7:47 PM
DannyH set Security to None.
DannyH renamed this task from Test LQT conversion for active Mediawiki.org pages to Test LQT conversion for active Mediawiki.org pages (split into 3 tickets).Feb 25 2015, 7:50 PM
DannyH edited a custom field.
Mattflaschen-WMF renamed this task from Test LQT conversion for active Mediawiki.org pages (split into 3 tickets) to Test LQT conversion for active Mediawiki.org pages and fix issues (split into 3 tickets).Feb 25 2015, 7:51 PM
DannyH renamed this task from Test LQT conversion for active Mediawiki.org pages and fix issues (split into 3 tickets) to Test LQT conversion for Mediawiki.org VE/Feedback page and fix issues .Feb 25 2015, 9:00 PM
DannyH updated the task description. (Show Details)
DannyH renamed this task from Test LQT conversion for Mediawiki.org VE/Feedback page and fix issues to LQT conversion test for Mediawiki.org VE/Feedback.Feb 25 2015, 9:04 PM
DannyH renamed this task from LQT conversion test for Mediawiki.org VE/Feedback to R6. LQT conversion test for Mediawiki.org VE/Feedback.Feb 25 2015, 9:14 PM
matthiasmullie added a subscriber: matthiasmullie.

This one had an error:

[2015-03-10 15:16:51] Imported 309 items, failed 1

I've filed T92284 to fix this.


Backtrace:

[2015-03-10 15:16:08] Failed importing topic: topiclqt-api:https://www.mediawiki.org/w/api.php:thread_id:52652
[2015-03-10 15:16:08] exception 'DBQueryError' with message 'A database error has occurred. Did you forget to run maintenance/update.php after upgrading?  See: https://www.mediawiki.org/wiki/Manual:Upgrading#Run_the_update_script
Query: INSERT  INTO `flow_ext_ref` (ref_src_workflow_id,ref_src_namespace,ref_src_title,ref_src_object_type,ref_src_object_id,ref_type,ref_target) VALUES ('+\"KS?x???','2600','S9hh45eyhx6qg3wc','post','+\"@???
                                                            ??','link','https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=id&modules=jquery,mediawiki&only=scripts&skin=vector&version=20150107T194503Z'),('+\"KS?x???','2600','S9hh45eyhx6qg3wc','post','+\"@???
                                                                                                                                 ??','link','https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=id&modules=Base64.js|easy-deflate.core,deflate|ext.visualEditor.base,core,mediawiki,viewPageTarget|ext.visualEditor.core.desktop|jquery.visibleText|mediawiki.api.edit|mediawiki.feedback,template|oojs,oojs-ui,papaparse,rangefix,unicodejs|oojs-ui.styles&skin=vector&version=20150107T194504Z&*:641:594'),('+\"KS?x???','2600','S9hh45eyhx6qg3wc','post','+\"@???
                                                                                                                         ??','link','https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=id&modules=Base64.js|easy-deflate.core,deflate|ext.visualEditor.base,core,mediawiki,viewPageTarget|ext.visualEditor.core.desktop|jquery.visibleText|mediawiki.api.edit|mediawiki.feedback,template|oojs,oojs-ui,papaparse,rangefix,unicodejs|oojs-ui.styles&skin=vector&version=20150107T194504Z&*:671:643'),('+\"KS?x???','2600','S9hh45eyhx6qg3wc','post','+\"@???
                                                                                                                 ??','link','https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=id&modules=jquery,mediawiki&only=scripts&skin=vector&version=20150107T194503Z:47:126'),('+\"KS?x???','2600','S9hh45eyhx6qg3wc','post','+\"@???
                                        ??','link','https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=id&modules=jquery,mediawiki&only=scripts&skin=vector&version=20150107T194503Z:45:106'),('+\"KS?x???','2600','S9hh45eyhx6qg3wc','post','+\"@???
                                                                                                                    ??','link','https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=id&modules=jquery,mediawiki&only=scripts&skin=vector&version=20150107T194503Z:46:431'),('+\"KS?x???','2600','S9hh45eyhx6qg3wc','post','+\"@???
                                           ??','link','https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=id&modules=jquery,mediawiki&only=scripts&skin=vector&version=20150107T194503Z:47:765'),('+\"KS?x???','2600','S9hh45eyhx6qg3wc','post','+\"@???
                                                                                                                       ??','link','https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=id&modules=jquery,mediawiki&only=scripts&skin=vector&version=20150107T194503Z:159:424'),('+\"KS?x???','2600','S9hh45eyhx6qg3wc','post','+\"@???
                                               ??','link','https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=id&modules=jquery,mediawiki&only=scripts&skin=vector&version=20150107T194503Z:161:140'),('+\"KS?x???','2600','S9hh45eyhx6qg3wc','post','+\"@???
                                                                                                                            ??','link','https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=id&modules=jquery,mediawiki&only=scripts&skin=vector&version=20150107T194503Z:161:613'),('+\"KS?x???','2600','S9hh45eyhx6qg3wc','post','+\"@???
                                                    ??','link','https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=id&modules=jquery,mediawiki&only=scripts&skin=vector&version=20150107T194503Z:161:743'),('+\"KS?x???','2600','S9hh45eyhx6qg3wc','post','+\"@???
                                                                                                                                 ??','link','https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=id&modules=jquery,mediawiki&only=scripts&skin=vector&version=20150107T194503Z:46:474'),('+\"KS?x???','2600','S9hh45eyhx6qg3wc','post','+\"@???
                                                        ??','link','https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=id&modules=jquery,mediawiki&only=scripts&skin=vector&version=20150107T194503Z:156:502'),('+\"KS?x???','2600','S9hh45eyhx6qg3wc','post','+\"@???
                                                                                                                                     ??','link','https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=id&modules=jquery,mediawiki&only=scripts&skin=vector&version=20150107T194503Z:155:963')
Function: Flow\Data\Storage\BasicDbStorage::insert (flow_ext_ref)
Error: 1062 Duplicate entry '2600-S9hh45eyhx6qg3wc-link-https://bits.wikimedia.org/www.mediaw' for key 'flow_ext_ref_pk' (127.0.0.1)
' in /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/includes/db/Database.php:1249
Stack trace:
#0 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/includes/db/Database.php(1205): DatabaseBase->reportQueryError('Duplicate entry...', 1062, 'INSERT  INTO `f...', 'Flow\\Data\\Stora...', false)
#1 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/includes/db/Database.php(2090): DatabaseBase->query('INSERT  INTO `f...', 'Flow\\Data\\Stora...')
#2 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/includes/Data/Storage/BasicDbStorage.php(68): DatabaseBase->insert('flow_ext_ref', Array, 'Flow\\Data\\Stora...')
#3 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/includes/Data/ObjectManager.php(242): Flow\Data\Storage\BasicDbStorage->insert(Array)
#4 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/includes/Data/ObjectManager.php(167): Flow\Data\ObjectManager->insert(Array, Array)
#5 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/includes/Data/ManagerGroup.php(97): Flow\Data\ObjectManager->multiPut(Array, Array)
#6 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/includes/Data/ManagerGroup.php(106): Flow\Data\ManagerGroup->multiMethod('multiPut', Array, Array)
#7 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/includes/Data/Listener/ReferenceRecorder.php(77): Flow\Data\ManagerGroup->multiPut(Array)
#8 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/includes/Data/ObjectManager.php(258): Flow\Data\Listener\ReferenceRecorder->onAfterInsert(Object(Flow\Model\PostRevision), Array, Array)
#9 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/includes/Data/ObjectManager.php(167): Flow\Data\ObjectManager->insert(Array, Array)
#10 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/includes/Data/ManagerGroup.php(97): Flow\Data\ObjectManager->multiPut(Array, Array)
#11 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/includes/Data/ManagerGroup.php(106): Flow\Data\ManagerGroup->multiMethod('multiPut', Array, Array)
#12 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/includes/Import/Importer.php(258): Flow\Data\ManagerGroup->multiPut(Array, Array)
#13 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/includes/Import/Importer.php(803): Flow\Import\PageImportState->put(Array, Array)
#14 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/includes/Import/Importer.php(613): Flow\Import\TalkpageImportOperation->importPost(Object(Flow\Import\TopicImportState), Object(Flow\Import\LiquidThreadsApi\ImportPost), Object(Flow\Model\PostRevision))
#15 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/includes/Import/Importer.php(535): Flow\Import\TalkpageImportOperation->importTopic(Object(Flow\Import\TopicImportState), Object(Flow\Import\LiquidThreadsApi\ImportTopic))
#16 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/includes/Import/Importer.php(110): Flow\Import\TalkpageImportOperation->import(Object(Flow\Import\PageImportState))
#17 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/maintenance/convertLqtPage.php(93): Flow\Import\Importer->import(Object(Flow\Import\LiquidThreadsApi\ImportSource), Object(Title), Object(Flow\Import\FileImportSourceStore))
#18 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/maintenance/doMaintenance.php(101): ConvertLqt->execute()
#19 /Users/mmullie/Sites/mediawiki/mediawiki/mediawiki/extensions/Flow/maintenance/convertLqtPage.php(100): require_once('/Users/mmullie/...')
#20 {main}
DannyH closed this task as Resolved.Mar 11 2015, 10:01 PM
Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.Apr 1 2015, 4:14 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 1 2015, 4:14 PM